Log4j and RecordTS: Not used, not an issue.

The recent Apache log4j CVE-2021-44228 security issue is at the top of everyone’s list this week and I would like to put the public’s concern at rest. RecordTS does not use Apache log4j and consequently is not susceptible to the security vulnerabilities it exposed.¬†

RecordTS regularly undergoes security reviews by a team of researchers, led by a PhD, that  specialize in finding obvious and obscure security holes and vulnerabilities in software. They put the products through extensive trials, poking and prodding every exposed port and entry point, comb through the code base armed with the latest cybersecurity tools and then write up long detailed reports to keep our development team on their toes.

So rest assured good reader, that RecordTS is strong and secure, and will help keep vigilant through the long nights ahead.

Cheers
Tom from Raleigh, NC USA

Notes:

https://time.com/6128795/log4j-security-flaw/

Guidance for preventing, detecting, and hunting for CVE-2021-44228 Log4j 2 exploitation